# Yahoo! UI Library

### DataTable Widget 2.8.1

Yahoo! UI Library > datatable > YAHOO.widget.TextboxCellEditor
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.TextboxCellEditor - extends YAHOO.widget.BaseCellEditor

The TextboxCellEditor class provides functionality for inline editing DataTable cell data with an INPUT TYPE=TEXT element.

### Constructor

YAHOO.widget.TextboxCellEditor `( oConfigs )`

Parameters:
  `oConfigs <Object>` (Optional) Object literal of configs.

### Properties

#### DataTable.Editors - `static Object`

CellEditor subclasses.

#### textbox - `object`

Reference to the textbox element.

#### Properties inherited from YAHOO.widget.BaseCellEditor:

`_elCancelBtn, _elContainer, _elSaveBtn, _elTd, _oColumn, _oDataTable, _oRecord, _sId, _sType, asyncSubmitter, defaultValue, disableBtns, isActive, LABEL_CANCEL, LABEL_SAVE, resetInvalidData, validator, value`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

### Methods

#### focus

`void focus ( )`
Sets focus in TextboxCellEditor.

#### getInputValue

`void getInputValue ( )`
Returns new value for TextboxCellEditor.

#### move

`void move ( )`
Moves TextboxCellEditor UI to a cell.

#### renderForm

`void renderForm ( )`
Render a form with input type=text.

#### resetForm

`void resetForm ( )`
Resets TextboxCellEditor UI to initial state.

#### Methods inherited from YAHOO.widget.BaseCellEditor:

`_initConfigs, _initEvents, attach, block, cancel, destroy, doAfterRender, focus, getColumn, getContainerEl, getDataTable, getId, getInputValue, getRecord, getTdEl, handleDisabledBtns, move, render, renderBtns, renderForm, resetForm, save, show, toString, unblock`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.widget.BaseCellEditor:

`blurEvent, cancelEvent, invalidDataEvent, keydownEvent, revertEvent, saveEvent, showEvent,`

Copyright © 2010 Yahoo! Inc. All rights reserved.